net.sf.jasperreports.engine.base

## Class VirtualElementsData

- java.lang.Object
- - net.sf.jasperreports.engine.base.VirtualElementsData

- All Implemented Interfaces:
    java.io.Serializable, VirtualizationSerializable

      public class VirtualElementsData
      extends java.lang.Object
      implements java.io.Serializable, VirtualizationSerializable

  Virtual data type used by report pages to virtualize elements.
  Version:
    $Id: VirtualElementsData.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualElementsData()`
    `VirtualElementsData(java.util.List<JRPrintElement> elements)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<JRPrintElement,java.lang.Integer>` | `getElementEvaluations(int fillerId, JREvaluationTime evaluationTime)`
    `java.util.List<JRPrintElement>` | `getElements()`
    `void` | `readVirtualized(VirtualizationInput in)`
    `void` | `setElementEvaluations(int fillerId, JREvaluationTime evaluationTime, java.util.Map<JRPrintElement,java.lang.Integer> evaluations)`
    `void` | `writeVirtualized(VirtualizationOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualElementsData

          public VirtualElementsData()

    - #### VirtualElementsData

          public VirtualElementsData(java.util.List<JRPrintElement> elements)

  - ### Method Detail

    - #### setElementEvaluations

          public void setElementEvaluations(int fillerId,
                                   JREvaluationTime evaluationTime,
                                   java.util.Map<JRPrintElement,java.lang.Integer> evaluations)

    - #### getElementEvaluations

          public java.util.Map<JRPrintElement,java.lang.Integer> getElementEvaluations(int fillerId,
                                                                              JREvaluationTime evaluationTime)

    - #### getElements

          public java.util.List<JRPrintElement> getElements()

    - #### writeVirtualized

          public void writeVirtualized(VirtualizationOutput out)
                                throws java.io.IOException

      Specified by:
        `writeVirtualized` in interface `VirtualizationSerializable`
      Throws:
        `java.io.IOException`

    - #### readVirtualized

          public void readVirtualized(VirtualizationInput in)
                               throws java.io.IOException

      Specified by:
        `readVirtualized` in interface `VirtualizationSerializable`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com